# Class Jaxp11XMLReaderCreator

java.lang.Object
com.thaiopensource.xml.sax.Jaxp11XMLReaderCreator

All Implemented Interfaces:
  `XMLReaderCreator`

public class Jaxp11XMLReaderCreator extends Object implements XMLReaderCreator
An `XMLReaderCreator` that uses JAXP 1.1 to create `XMLReader`s. An instance of this class is not safe for concurrent access by multiple threads.

Author:
  James Clark
See Also:
  - `SAXParserFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Jaxp11XMLReaderCreator()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLReader`
  `createXMLReader()`
  Creates a new `XMLReader`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Jaxp11XMLReaderCreator

    public Jaxp11XMLReaderCreator()
    Default constructor.

- ## Method Details

  - ### createXMLReader

    public XMLReader createXMLReader() throws SAXException
    Description copied from interface: `XMLReaderCreator`
    Creates a new `XMLReader`.
    Specified by:
      `createXMLReader` in interface `XMLReaderCreator`
    Returns:
      a new `XMLReader`; never `null`
    Throws:
      `SAXException` - If an `XMLReader` cannot be created for any reason